﻿This mod adds my hammer into the game with which new building pieces are available!
The hammer can also be disabled in the config. To make this take effect, however, the game must be restarted!

- Big thanks to [azumatt](https://www.nexusmods.com/users/111879873) ﻿for his templates and his support in the Discord channel!
- A big thanks to [BentoG](https://valheim.thunderstore.io/package/BentoG/) ﻿for his meshes from his [MissingPieces](https://valheim.thunderstore.io/package/BentoG/MissingPieces/) ﻿mod :D

## Available Pieces:
- A leaf roof (Inspired by this [texture mod](https://www.nexusmods.com/valheim/mods/1590?tab=description))
- Complements the thatch roof with flat roofs
- Branch Pieces (Wall, Beams, Doors)
- New stone components (further variation for the stone structures)
- 

# Changelog
- 0.2.2
New stone and branch components, new Branch Chest!
- 0.2.1
New "Branch" pieces, flat roofs have been adjusted, "destruction" animations should now fit, building effect has been adjusted
- 0.2.0
New Feature (Custom Hammer deactivable), Flat roofs now count as "roofs, snappoints adjusted
- 0.1.2
Adds new pieces for the thatch and leaf roofs
- 0.1.1
Texture change, snappoints adjusted, Vulkan compatibility established
- 0.1.0
Initial Release

## Prefabs:
Items:
```
ms_hammer
```

BuildPieces:
```
straw_roof_flat
straw_roof_flat_1x1
branch_wall
branch_wall_2x1
branch_wall_1x1
branch_wall_1x2
branch_wall_roof
branch_wall_roof_upsidedown
branch_wall_roof_45
branch_wall_roof_45_upsidedown
branch_beam_1m
branch_beam_2m
branch_beam_1m_alt
branch_beam_2m_alt
branch_beam_26
branch_beam_45
branch_door
branch_door_alt
branch_gate
branch_gate_alt
leaf_roof_flat
leaf_roof_flat_1x1
leaf_roof
leaf_roof_left_tilted
leaf_roof_right_tilted
leaf_roof_45
leaf_roof_45_left_tilted
leaf_roof_45_right_tilted
leaf_roof_top
leaf_roof_top_45
leaf_roof_ocorner
leaf_roof_ocorner_45
leaf_roof_icorner
leaf_roof_icorner_45
redstone_floor_2x2
redstone_wall_1x1
redstone_wall_26_triangular
redstone_wall_45_triangular
redstone_wall_1x2
redstone_wall_3x4
redstone_pillar
redstone_arch
redstone_stair
redstone_stair_corner
piece_chest_branch
```

## Languages that are currently integrated:
- English
- German

## Installation:
Paste the file "MrSerji_Construction.dll" into the following path:
#### Steam:
Steam\steamapps\common\Valheim\BepInEx\plugins

## Mod activation:
Automatically.
The hammer can be made at the workbench and this directly at the start of the game.

## Known Issues:
- /

## Compatibility:
- /

# Preview Image
![Sandstone_Inside](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1655053045-113562132.png)
![Sandstone_Outside](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1655053037-281933593.png)
![Ver0.2.2_NewChest](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1655053038-647498995.png)
![Branch_Inside](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654972211-1411002499.png)
![Branch_Outside](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654972218-1089818033.png)
![Ver0.2.0_NewFeature](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654721302-1905038499.png)
![Ver0.1.2_NewPieces](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654547415-1118312919.png)
![Meadows](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654517682-961601290.png)
![BlackForest](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654517678-336368500.png)
![Mountain](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654517688-77648810.png)